Add3DFace Method

IntelliCAD 11.1 Object Library
Add3DFace Method
See Also 
Point1
Point object specifying the first corner of the 3D face.
Point2
Point object specifying the second corner of the 3D face.
Point3
Point object specifying the third corner of the 3D face.
Point4
Point object specifying the fourth corner of the 3D face.
Block Collection : Add3DFace Method

Description

Adds a 3DFace with four vertices.

Syntax

Visual Basic
Public Function Add3DFace( _
   ByVal Point1 As Point, _
   ByVal Point2 As Point, _
   ByVal Point3 As Point, _
   Optional ByVal Point4 As Point = 0 _
) As Face3D

Parameters

Point1
Point object specifying the first corner of the 3D face.
Point2
Point object specifying the second corner of the 3D face.
Point3
Point object specifying the third corner of the 3D face.
Point4
Point object specifying the fourth corner of the 3D face.

Example

Private Sub Add3dFaceExample()

     ' This example creates and adds a 3D face to the drawing.

     Dim faceObj As IntelliCAD.Face3D

     Dim icadDoc As IntelliCAD.Document

     Dim Pt1 As IntelliCAD.Point

     Dim Pt2 As IntelliCAD.Point

     Dim Pt3 As IntelliCAD.Point

     Dim Pt4 As IntelliCAD.Point

     Dim myObj As Object

     Set icadDoc = ActiveDocument

     ' Define the four coordinates of the face

     Set Pt1 = Library.CreatePoint(0, 0, 0)

     Set Pt2 = Library.CreatePoint(3, 0, 2)

     Set Pt3 = Library.CreatePoint(6, 5, 0)

     Set Pt4 = Library.CreatePoint(4, 4, 2)

     ' Add the 3DFace object

     Set faceObj = icadDoc.ModelSpace.Add3DFace(Pt1, Pt2, Pt3, Pt4)

     faceObj.Update

     ThisDocument.Application.ZoomExtents

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.